How to normalize the loudness of an entire music library?

I have a ~15 GB music collection comprised of MP3, FLAC and M4A files.
Is there a program that could run through an entire directory tree and normalize the loudness of all the audio files it finds to the same level?
ReplayGain is perfect for this, as I understand it, but I'm still not sure how to go about accomplishing this task. :newbie:
Thanks!

mp3gain sucks majorly... use this script instead of calling mp3gain directly:
it makes sure that replaygain is PROPERLY added into the id3v2 field instead of a) modifying the actual audio data or b) using the crappy apev2 tags.
Script needs eyed3 from aur.
#!/bin/sh
LC_NUMERIC=POSIX; export LC_NUMERIC
MP3GAIN=`which mp3gain`
if [[ $? != 0 ]]; then
echo "mp3gain executable not found." >&2
exit 1
fi
EYED3=`which eyeD3`
if [[ $? != 0 ]]; then
echo "eyeD3 executable not found." >&2
exit 1
fi
if [[ $# > 1 || $# == 1 && $1 != "-f" ]] ; then
echo "Usage: `basename $0` [-f]" >&2
echo " for ReplayGain'ing all mp3 file into current directory" >&2
echo " -f -- force re-ReplayGain'ing for already ReplayGain'ed files" >&2
exit 2
fi
if [[ $# == 0 ]]; then
$EYED3 --no-color *.mp3 \
| egrep -i '^UserTextFrame: \[Description: replaygain_album_gain\]$' >/dev/null 2>&1
if [[ $? == 0 ]]; then
echo "Files already ReplayGain'ed." >&2
exit 1
fi
fi
$MP3GAIN *.mp3
TMPFILE=`mktemp`
for n in *.mp3; do
$MP3GAIN -s c "$n" > $TMPFILE
$MP3GAIN -s d "$n"
TRACK_GAIN=`awk '/^Recommended "Track" dB / { printf("%+.2f dB", $5) }' $TMPFILE`
ALBUM_GAIN=`awk '/^Recommended "Album" dB / { printf("%+.2f dB", $5) }' $TMPFILE`
TRACK_PEAK=`awk '/^Max PCM / { printf("%.6f", $7/32768) }' $TMPFILE`
ALBUM_PEAK=`awk '/^Max Album PCM / { printf("%.6f", $8/32768) }' $TMPFILE`
$EYED3 \
--set-user-text-frame="replaygain_track_gain:$TRACK_GAIN" \
--set-user-text-frame="replaygain_track_peak:$TRACK_PEAK" \
--set-user-text-frame="replaygain_album_gain:$ALBUM_GAIN" \
--set-user-text-frame="replaygain_album_peak:$ALBUM_PEAK" \
"$n"
done
rm -f $TMPFILE
using this method the actual audio file is NOT changed at all, you can safely use this method on your original files. all this does is creating a few tags.
for ogg you can use vorbisgain and for flac use metaflac.
The easiest way to do it would be wine+foobar2000 -> load all your files in a huge playlist -> rightclick -> replaygain -> album gain by tag.
Last edited by Rasi (2011-09-02 15:14:17)

Similar Messages

  • I got a new laptop and downloaded iTunes, when I put new music on it for the first time, my entire music library disappeared, leaving me with only newly downloaded music in my library. My iPod still has all my old music.

    Recently, I bought a new laptop (a Lenovo), so I downloaded iTunes to it. When I bought new music from iTunes for the first time on the new computer, I went to my music library and there was no music, except for the new songs I had just bought. I have no idea what happened, I've had hundreds of songs I've bought from iTunes or downloaded from bought CDs over the years, which are all still on my iPod (nano, from 2008), and suddenly they just didn't seem to exist. I have yet to access the iTunes account on my previous laptop to see if my music is still there, but I would assume yes. When I went to sync my iPod to my iTunes to at least get the new songs to the iPod (so that my complete library can be on at least one device), I realized that in order to sync my iPod to my iTunes, I would be deleting all my old music and replacing it with the new. So now, I only have a few new songs on my laptop's iTunes, and only my old songs on my iPod. In both cases I paid for all the music, so I don't want to just delete any of it. Is there any way to fix this?

    Also-I tried to use my backup hard drive, but I wasn't able to drag/transfer/send/move any of my muic files onto my iTouch when the iTouch was connected to my computer.  I can't figure out why it won't let me do that. 
    The only thing I can see when I open my iTouch on my computer is my file with photos.  I can't see videos, music, or anything else.  What's going on?

  • I have an ancient laptop (from 2005) that has my entire music library. This laptop barely works and some keys don't type anymore. How can I get all this music transferred to another computer, or available to me on the cloud?

    I have an ancient laptop (from 2005) that has my entire music library. This laptop barely works and some keys don't type anymore. How can I get all this music transferred to another computer, or available to me on the cloud?

    No... do not move programs.
    About the iTunes library files
    Your iTunes library files track the media you add to iTunes, how you've organized it, and other information such as playlists. By default, these two files are in your iTunes folder:
    Mac OS X: /Users/username/Music/iTunes/
    Windows XP: C:\Documents and Settings\username\My Documents\My Music\iTunes\
    Windows Vista: C:\Users\username\Music\iTunes\
    Windows 7: C:\Users\username\My Music\iTunes\
    Windows 8: C:\Users\username\My Music\iTunes\

  • I have used the same laptop for all three of my iPhones but awhile back this laptop had a virus so my husband wiped it out and now when I sync my iPhone I no longer get my entire music library ( including purchased songs) on my iPhone. How do I fix this?

    I have always used the same laptop for all of my iPhones but awhile back this laptop had a virus so my husband wiped out the laptop and now when I sync my iPhone I no longer receive my entire music library (including purchased songs) on my iPhone. How do I fix this?

    kimberlyfromtopeka wrote:
    Ok,thanks but, I should be able to something so that I am able to sync the entire library again not just the purchased songs.
    If the non purchased music is not on your computer, how can it Sync to your iPhone...

  • How do I sync my ipad2 to the iTunes music library on my iMac? Only 46 of 996 songs were copied to the iPad2. I specified: iTunes Devices MyPad Music Entire music library.

    How do I sync my ipad2 to the iTunes music library on my iMac? Only 46 of 996 songs were copied to the iPad2. I specified: iTunes > Devices > MyPad > Music > Entire music library.

    The Capacity area at the bottom of the iTunes window indicates 49.7 GB Free on the iPad2.

  • After creating a new playlist in iTunes, how can I add my entire music library --at once-- to the new playlist. I want to download all my music from Icloud at once on my Macpro

    After creating a new playlist in iTunes, how can I add my entire music library --at once-- to the new playlist. I want to download all my music from Icloud at once on my Macpro

    You have two separate questions here...
    To get all your music into one playlist, select Music in the sidebar and click the Songs view at the top. Then, highlight all the songs and drag them into your playlist.
    I don't know if it's possible to download all Purchased content (or do you mean iTunes Match content?) at once; try a few Google searches.

  • How to read the whole name of a music title while scrolling down a list of titles? With the new iOs7 Music App there is no more black box showing the entire name!

    How to read the whole name of a music title while scrolling down a list of titles? The old software-app had the function to click for a longer time on a titles beginning letters until a black box revealed the entire name. I miss this function especially for my classical music, because lots of pieces start with similar words. E.g.:
    "Beethoven: Variations On "Ein Mädchen Oder Weibchen", Op. 66 - Var. 1"
    "Beethoven: Variations On "Ein Mädchen Oder Weibchen", Op. 66 - Var. 2"
    Scrolling in a list of title, I can't distinguish the titles, because just the first words are shown followed by: "...".
    That's horrible!

    Or you could include a width to your body style:
    body {
    background-image: url(Logo/sky1.jpg);
    background-position: center center;
    background-attachment: fixed;
    width: 75%;}
    It might work or not depending on your other color scheme.

  • HT201272 I recently added my entire music library to the "cloud" for an annual fee. Now I can't listen to anything unless I have an internet connection. I want my library back on my laptop, the whole thing (original laptop got erased). How do I do this?

    I recently added my entire music library to the "cloud" for an annual fee. Now I can't listen to anything unless I have an internet connection. I want my library back on my laptop, the whole thing (original laptop got erased). How do I do this?

    Hello ggjsa,
    Congratulations on your new laptop!  I understand that you have copied your old iTunes Library to your new computer, but you are still not seeing the music.  I recommend reviewing Part 5 in the section titled "External drive" in the following article:
    iTunes: How to move your music to a new computer
    http://support.apple.com/kb/ht4527
    If you are still having trouble transferring the library using this method, you may want to try using the Home Sharing method in the article. 
    Thank you for using Apple Support Communities.
    Best,
    Sheila M.

  • I accidentally deleted my entire music library and it's in the trash, how do I move it back?

    I just deleted my entire music library and its in the trash, how do I move it back?

    How did you delete it? Please provide more details to see what options you have available. Did you use iTunes by deleting the directory and confirming putting it in the trash or did you drag the actual  iTunes folder in the trash? If you dragged the folder the solution is easy, either right click on the folder and select Put Back or manually return the folder to the previous location.
    Do you have a recent backup of the entire iTunes Music folder including the iTunes Library.itl file or just the iTunes Library.itl file?

  • I just accidentally wiped out my entire music library.  How can I get apple to help me download the purchased songs again?  The songs went to my recycle bin and I immediately restored them but the files seem to have dissappered!

    I just accidentally wiped out my entire music library.  I sent everything to recycling bin and then immediately hit restore all items as I knew what I had just done.  Now I can find where those files went.  Is there anyway Apple can just send me my purchased songs again?

    See Here  >  Download Past Purchases
    http://support.apple.com/kb/HT2519

  • HT204074 How can I transfer music from my iPad to my iPod. I no longer have a Pc. It died and cannot be restored. It had iTunes with my entire music library on it.

    How can I transfer music from my iPhone to my iPad.?
    I no longer have a PC. Mine died and cannot be restored. It had iTunes with my entire music library on it.

    If you are running an OS of 5.0 or higher, you should be able to use the iCloud to sync both devices together & share music.

  • How do I transfer an entire music library from old PC that crashed to new PC

    I purchased a new computer and before I could transfer my music library to the new computer (Windows 8.1), my old PC (windows XP) crashed and I can't get access to it any longer.  I can see how to download one song at a time, but is there an option to download the entire music library? (iTunes version 12.01.26)

    Check HERE.

  • HT204406 I just enabled Match to my iphone 4S...It seems to have wiped out my entire music library. I bought two new songs and those are the only two songs showing up in my library. Please help!

    Match lost my entire music library. It isn't in my music on my phone. That's over $1500 in music, lost Please help.

    " When I did this, my library showed all the music I have "purchased" from itunes but did not have the music that I downloaded a long time ago through itunes from my old CDs."
    Correct.
    " How can I get that music to show up in my library now on my new computer?  "
    Copy it from your old computer or your backup copy of your old computer.
    The sync is one way - computer to ipod.

  • HT1660 I lost my entire music library when my hard drive crashed 2 wks ago. It's all on my iPod, though. I just cannot figure out how to download my iPod music BACK into my iTunes library. All they seems to address is Library - iPod.  I'm not an iT geek..

    Hi, I lost my entire music library when my hard drive crashed 2 wks ago. It's all on my iPod, though..but the songlist appears gray.  I just cannot figure out how to download my iPod music list BACK into my iTunes library. All they seems to address is Library -> iPod transfers.  I'm not an iT geek.. Help meeee!

    See Recover your iTunes library from your iPod or iOS device.
    tt2

  • How do i email or upload my entire itunes library so i can put it on a diff

    how do i email or upload my entire itunes library so i can put it on my laptop!
    im getin ready 4 a party and realised i need music to be moved on2 my laptop!!
    iv tries to email it but file attatching only allows one song a time and id b years doin dat!
    any ideas! asap
    thanx holly

    Holly:
    I'm assuming that you have your iTunes library on a desktop machine and want to move your songs to your laptop. You have a couple of choices. If your library is small, you can create a backup copy onto a Data CD then copy the CD's contents onto your laptop.
    1) Go to Preferences, select the Burning tab, click on the Data CD option.
    2) Create a new playlist and copy the contents of the library to this new playlist.
    3) Right-click on the new playlist and select Burn Playlist to disc
    4) Launch iTunes on your laptop
    4) Once the CDs are burned on your desktop, take them over to the laptop and copy them into your iTunes Music folder on the laptop
    5). Launch iTunes on your laptop and drag the tracks from the iTunes Music folder onto iTunes.
    If your library is not so small (ie, it won't fit on just a couple of data CDs)
    If your ipod is less than half full, you can use it to quickly transfer the songs:
    On your desktop:
    1) Launch iTunes and go to Edit ... Preferences. Leave the window open
    2) Plug in your iPod to the desktop machine
    3) Once its active on your desktop, open My Computer and you will see your iPod mounted as a "Removable Disk". Open this icon up and you will see several folders such as "Calendars", "Contacts", etc. Right-click within this window and select New ... folder to create a new folder on your iPod
    4) Open that new folder up
    5) Go to your iTunes Music folder and copy its contents into the new folder you created above.
    6) Once completed, go to iTunes and cancel out of the Preferences window. Your iPod will update and then will dismount. (If you've changed your setting to keep the iPod mounted at all times, then you will need to right-click on your iPod entry to eject it.)
    Go over to your laptop and do the following:
    1) Launch iTunes and go to Edit ... Preferences. Leave the window open
    2) Plug in your iPod to the laptop
    3) Once its active on your desktop, open My Computer and you will see your iPod mounted as a "Removable Disk". Open this icon up and you will see the new folder you just created above
    4) Open that new folder up and copy all your tracks to the iTunes Music folder on your laptop
    5) Cancel out of the preferences window. Your iPod should unmount.
    6) With iTunes open on your laptop, click on Library.
    7) Go to the folder on your laptop that contains all your songs, select all your tracks and drag them into iTunes.

Maybe you are looking for

  • 2nd level of complaint?

    Just wondering what my options are. I have a 1st gen iPod touch that has issues with its dock connector. There seems to be a short in it since when I plug it into my iMac or two different docks, I either get an error or an indication that the iPod is

  • Phone dialing on its own.

    Today I got a call from a friend who said she had I missed call from me. I thought I must of dialed her by mistake but she did not show up in my call log history. Is there an issue with my call log or is my phone dialing people on its own?

  • Labview and multicore technology

    Greetings the scenario that i'm having now is as following: - I'm a 1st year PhD student,and am trying to figure out(find) a new,innovative and impressive project in wireless communications systems area. while am doing my literature review and explor

  • Cisco 1310 Access Point Rommon Mode

    Hello, So I have a Cisco 1310 Access Point that is in Rommon mode. I have the image on the Access point but I did not use the archive download command to extract it. When I use the tar -xtract flash://c1310-k9w7-tar[1].124-25d.JA2.tar flash: command

  • Creating a dynamic event from a control reference

    Does anyone have an example of creating a dynamically driven  event from a control reference?